
#include <Eigen/Dense>
#include <Eigen/LU>
#include "utilities.h"


struct my_data {
    Eigen::MatrixXd distance_matrix;
    VectorXl evaluations;
};

extern struct my_data data;

/*Model data variables*/
extern double loval, upval, dmodeltheta, theta, p, ssq, mu;
extern Eigen::VectorXd yon;
extern Eigen::MatrixXd psi;
extern Eigen::MatrixXd psinv; 
extern MatrixXl solutions;
extern VectorXl evaluations;

bool FRLH();
double objective(const std::vector<double> &x, std::vector<double> &grad, void *my_func_data);

void calculateDistances(bool first, int indexAdd);

void removeDistance(int removeIndex);

double tourDistance(int i1, int i2);

double tourDistance(long int *i1, int i2);

double tourDistance(VectorXl i1, int i2);
